| Home | Libraries | People | FAQ | More

## Struct template plain_return_type_2<arithmetic_action< plus_action >, X, boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), Y >>

boost::lambda::plain_return_type_2<arithmetic_action< plus_action >, X, boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), Y >>

## Synopsis

    // In header: <boost/units/lambda.hpp>

    template<typename System, typename X, typename Y>
    struct plain_return_type_2<arithmetic_action< plus_action >, X, boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), Y >> {
      // types
      typedef boost::units::add_typeof_helper< X, boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), Y > >::type type;
    };

## Description

Partial specialization of return type trait for action X + quantity<dimensionless, Y>.